LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   slackpkg upgrade matter (http://www.linuxquestions.org/questions/slackware-14/slackpkg-upgrade-matter-715780/)

zbreaker 03-31-2009 09:37 AM

slackpkg upgrade matter
 
Using slack 12.2 here. Recently did an upgradepkg for all the security advisories from March and verified their versions after. Hovever if after that I slackpkg update and slackpkg upgrade-all it comes back suggesting an upgrade to the previous versions of glib2,firefox,seamonkey and lcms...wierd. For example, the upgraded Firefox is 3.0.8 and slackpkg suggests an "upgade" to 3.0.7.

I'm sure I must be missing something somewhere...any suggestions?

samac 03-31-2009 09:52 AM

Change your mirror in /etc/slackpkg/mirrors as the mirror you have chosen has not been upgraded correctly.

samac

zbreaker 03-31-2009 10:38 AM

Sounds like a simple but effective remedy...will make the change tonight.

Thank you!

songangel 03-31-2009 11:46 AM

Try this too
 
Quote:

Originally Posted by samac (Post 3493690)
Change your mirror in /etc/slackpkg/mirrors as the mirror you have chosen has not been upgraded correctly.

samac

I had a similar problem but rather than changing mirrors I simply did a:

Code:

slackpkg -update
That downloaded the updated file lists from my selected mirror. I thought I'd throw that in if you are anything like me and don't want to change to a possibly slower mirror.

zbreaker 03-31-2009 12:05 PM

Thanks....but I had done the update before hand. I think changing the mirror should do the trick for me.

zbreaker 03-31-2009 09:03 PM

Changing mirrors was the right move...worked like a charm.

Thanks samac:)

samac 04-01-2009 02:52 AM

I'm glad it worked for you. Click the thumb to say thanks.

samac


All times are GMT -5. The time now is 07:38 AM.